
QGIS Application - Bug report #10757

PostGIS table view loads but won't display

2014-06-30 07:01 AM - Mattia De Agostino

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/PostGIS

Affected QGIS version:2.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 19140

Description

PostGIS (v. 2.0.4 on Windows, under PostgreSQL v. 9.2.8-4) table Views with 4d geometry are loaded in QGIS 2.4 but are not displayed.

The attribute table is visible and it is possible to query against it.

The layers display with no issues in QGIS 2.0, while the same problem was tracked in QGIS 2.2 (both for Tables and Views - Bug report

#9748 - Closed).

In QGIS 2.4, 4d geometry tables are correctly drawn.

Also, converting the geometry to 2d (using ST_Force2d) Table View results being visible in QGIS 2.4.

Related issues:

Related to QGIS Application - Bug report # 9748: PostGIS table loads but won'... Closed 2014-03-08

History

#1 - 2014-06-30 07:18 AM - Jürgen Fischer

- Operating System deleted (Windows (platform independent?))

- Priority changed from High to Normal

#2 - 2017-05-01 01:08 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2017-09-08 01:35 PM - Jürgen Fischer

- Assignee deleted (Jürgen Fischer)

#4 - 2019-03-09 03:12 PM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to end of life

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
